Bug 437329 - Can't enter hexadecimal digits A..F via the keyboard
Can't enter hexadecimal digits A..F via the keyboard
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: gcalctool (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-13 12:07 EDT by Stephen Warren
Modified: 2008-05-19 10:21 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-18 10:03:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen Warren 2008-03-13 12:07:46 EDT
Description of problem:
Cannot type in hexadecimal digits A..F via the keyboard.

Version-Release number of selected component (if applicable):
gcalctool-5.20.2-1.fc8.i386

How reproducible:
Always

Steps to Reproduce:
1. Start gcalctool
2. View menu -> Scientific
3. Select the radio button "Hex"
4. Click inside the white number entry area, just to be sure focus is somewhere sane
5. Type 1234567890. Notice that all these digits appear correctly
6. Type ABCDEF. Notice that these seem to invoke keyboard shortcuts (or beep and
do nothing), not enter the appropriate hex digits.
  
Actual results:
Can't type hexadecimal numbers; probably keyboard shortcuts are being invoked.

Expected results:
Letters A..F should enter hexadecimal digits, at least in hex mode.

Additional info:
N/A
Comment 1 petrosyan 2008-04-09 01:43:56 EDT
pressing 'abcdef' instead of 'ABCDEF' seems to work in gcalctool-5.22.1-2.fc9.x86_64
Comment 2 petrosyan 2008-05-18 10:03:05 EDT
gcalctool's manual "Quick Reference: Keyboard Shortcuts" section also states
that keyboard shortcuts for hexadecimal numbers 'ABCDEF' are 'abcdef'.
Comment 3 Stephen Warren 2008-05-19 06:57:43 EDT
The buttons should be labelled in lower-case then, not upper-case. Why should I
have to read the reference manual to enter digits that are clearly labelled with
something that looks obviously correct?
Comment 4 petrosyan 2008-05-19 10:21:00 EDT
What you are saying makes sense, but this is out of Fedora's scope. File a
feature request in GNOME's bugzilla. http://bugzilla.gnome.org/

Note You need to log in before you can comment on or make changes to this bug.